Subject: Re: bug#17497: The text-mode menu looks very broken in emacs-24

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Jun 2014 18:07:08 +0300

> From: Alan Mackenzie <[email-masked]>
> Date: Thu, 19 Jun 2014 14:11:41 +0000 (UTC)
> 
> .  The menus seem to work fine, except for one glitch.  When I click the
> (GPM) mouse on a menu, the menu drops down beginning horizontally where
> the mouse was, rather than where the menu label was.  I.e., I see this:
> 
>     File Ed Edit > ns Buffers Tools Lisp-Interaction Help
>             Undo                    C-x u
>             Cut                     C-w
>     ...
> 
> , when I would rather expect to see this:
> 
>     File Edit > tions Buffers Tools Lisp-Interaction Help
>          Undo                    C-x u
>          Cut                     C-w
>     ....

This is not a glitch, this is intended behavior when your text
terminal has a mouse.  Clicking anywhere inside "Edit" will drop down
the "Edit" menu starting at the click position.

Can you drop the menu with F10, try navigating through menus with
arrow keys, both horizontal and vertical, and report whether you see
any problems?  If you see any problems, I'd appreciate screenshots
showing them.

Whatever the results, I'd like you know what are your OS and terminal
emulator, please.

Thanks.